# SceIoStat Struct Reference

`#include <sdk/user/pspiofilemgr_stat.h>`

Collaboration diagram for SceIoStat:

[legend]

## Detailed Description

Structure to hold the status information about a file.

## Data Fields

SceMode | st_mode
unsigned int | st_attr
SceOff | st_size
| Size of the file in bytes.
ScePspDateTime | st_ctime
| Creation time.
ScePspDateTime | st_atime
| Access time.
ScePspDateTime | st_mtime
| Modification time.
unsigned int | st_private [6]
| Device-specific data.

## Field Documentation

ScePspDateTime SceIoStat::st_atime

| Access time.

unsigned int SceIoStat::st_attr

ScePspDateTime SceIoStat::st_ctime

| Creation time.

SceMode SceIoStat::st_mode

ScePspDateTime SceIoStat::st_mtime

| Modification time.

unsigned int SceIoStat::st_private[6]

| Device-specific data.

SceOff SceIoStat::st_size

| Size of the file in bytes.

The documentation for this struct was generated from the following file:

- sdk/user/pspiofilemgr_stat.h